package common.packet;

import java.io.IOException;

import common.network.IClientPlayer;
import common.network.Packet;
import common.network.PacketBuffer;

public class SPacketDisconnect implements Packet<IClientPlayer>
{
    public SPacketDisconnect()
    {
    }
    
    public void readPacketData(PacketBuffer buf) throws IOException
    {
    }
    
    public void writePacketData(PacketBuffer buf) throws IOException
    {
    }
    
    public void processPacket(IClientPlayer handler)
    {
        handler.handleDisconnect(this);
    }
}
